# patroni.exceptions module

Implement high-level Patroni exceptions.

More specific exceptions can be found in other modules, as subclasses of any exception defined in this module.

exception patroni.exceptions.ConfigParseError(value: Any)

  Bases: `PatroniException`

  Any issue identified while loading or validating the Patroni configuration.

exception patroni.exceptions.DCSError(value: Any)

  Bases: `PatroniException`

  Parent class for all kind of DCS related exceptions.

exception patroni.exceptions.PatroniAssertionError(value: Any)

  Bases: `PatroniException`

  Any issue related to type/value validation.

exception patroni.exceptions.PatroniException(value: Any)

  Bases: `Exception`

  Parent class for all kind of Patroni exceptions.

  Variables:

    value – description of the exception.

  __init__(value: Any) → None

    Create a new instance of `PatroniException` with the given description.

    Parameters:

      value – description of the exception.

exception patroni.exceptions.PatroniFatalException(value: Any)

  Bases: `PatroniException`

  Catastrophic exception that prevents Patroni from performing its job.

exception patroni.exceptions.PostgresConnectionException(value: Any)

  Bases: `PostgresException`

  Any problem faced while connecting to a Postgres instance.

exception patroni.exceptions.PostgresException(value: Any)

  Bases: `PatroniException`

  Any exception related with Postgres management.

exception patroni.exceptions.WatchdogError(value: Any)

  Bases: `PatroniException`

  Any problem faced while managing a watchdog device.